distributed-net (2.9112.521+arm64-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 22:58:23 +0100

distributed-net (2.9112.521+arm64-3) unstable; urgency=medium

  * Update Brazilian Portuguese debconf templates translation.
    Thank you to Paulo Henrique de Lima Santana.  (Closes: #1025994)

 -- tony mancill <tmancill@debian.org>  Mon, 26 Dec 2022 10:45:02 -0800

distributed-net (2.9112.521+arm64-2) unstable; urgency=medium

  * No longer restart dnetc after log rotation (Closes: #960886)
  * Update to debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Mon, 27 Jul 2020 20:43:36 -0700

distributed-net (2.9112.521+arm64-1) unstable; urgency=medium

  * Add ARM64
    - Upstream has added ARM64 without changing the version number
    - The ARM64 tarball is labelled ARM on the upstream download page
  * Bump Standards-Version to 4.3.0.1
    - Add depends for lsb-base
    - Add misc:Pre-depends for init-system-helpers
    - Bump debhelper compatibility to 12, removing debian/compat
  * Add missing reload target to the init script.  Closes: #918824
  * add Indonesian translation (Kukuh Syafaat).  Closes: #862910
  * Updated Swedish translation (Martin Bagge).  Closes: #918017

 -- James E. Stark <jstark@ieee.org>  Wed, 30 Jan 2019 21:26:43 -0800

distributed-net (2.9112.521-1) unstable; urgency=medium

  * New upstream release 2.9112.521 for amd64, i386 and PPC
  * New upstream release 2.9111.520 for armel, mipsel
  * Drop the long obsolete Conflicts/Replaces on rc564
  * Drop Sparc as it's no longer a release architecture
  * Update watch file
  * Update Standards-Version to 3.9.8
  * Refresh patches
  * Refresh overrides
  * Add Swedish Translation (Martin Bagge).  Closes: #762793

 -- James E. Stark <jstark@ieee.org>  Fri, 29 Jul 2016 15:50:55 -0400

distributed-net (2.9111.520-2) unstable; urgency=medium

  * Debconf template re-write and translations.

  [Christian Perrier]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #741107
  * [Debconf translation updates]
  * Japanese (victory).  Closes: #743680
  * Russian (Yuri Kozlov).  Closes: #743681
  * Portuguese (Américo Monteiro).  Closes: #740987
  * German (Chris Leick).  Closes: #744345, #744273
  * Dutch (Jeroen Schot).  Closes: #744957
  * Polish (Michał Kułach).  Closes: #745066
  * Spanish (Camaleón).  Closes: #745155
  * Italian (Beatrice Torracca).  Closes: #745232
  * Danish (Joe Hansen).  Closes: #745344
  * French (Steve Petruzzello). Closes: #746346
  * Czech (Michal Šimůnek). Closes: #751431
  * Turkish (Mert Dirik). Closes: #757493

  [James E. Stark]
  * Update lintian overrides

 -- James E. Stark <jstark@ieee.org>  Mon, 15 Sep 2014 19:31:24 -0400

distributed-net (2.9111.520-1) unstable; urgency=low

  * New upstream version for amd64 and i386 (Closes: #739667)
  * Refresh patches
  * Use debconf to execute client configuration (Closes: #655922)
    - Remove the distributed-net-config script (replaced by debconf)
    - Add a NEWS entry to reflect the change in how the client is configured
    - Update the configuration instructions in the README.debian
  * Fix the version mangling in a watch file.
  * Refresh the init script
    - Add a long description to the LSB headers
    - Add the LSB init functions (and remove the associated lintian override)
    - Check for the presence of the configuration file and exit with an error
      if it is missing.
    - Use start-stop-daemon to start and stop the client, as start-stop daemon
      now has the functionality require to control the distributed.net client.
  * Remove the preinst maintainer script as it is not doing anything.
  * Remove dead code from the postinst and prerm maintainer scripts.

 -- James E. Stark <jstark@ieee.org>  Fri, 28 Feb 2014 17:20:51 -0500

distributed-net (2.9110.519-1) unstable; urgency=medium

  [ James E. Stark ]
  * Bump Standards-Version to 3.9.5
      - Add build-arch and build-indep targets to rules, falling through to
        build-stamp since they aren't useful for this package.
  * New upstream version for amd64, armel and i386
  * Apply Colin Watson's patch to the init script, to accommodate the change
    of daemons shell from /bin/sh to /usr/sbin/nologin (Closes: #734719)

  [ tony mancill ]
  * Remove s390 and ia64 from Architectures.
  * Update lintian overrides.
  * Update handling of CHANGES.txt in debian/rules to prevent removal of
    upstream source file during build.

 -- James E. Stark <jstark@ieee.org>  Sat, 11 Jan 2014 18:22:36 -0500

distributed-net (2.9107.516-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * New upstream release 2.9107.516 on amd64, x86, ppc, mipsel and sparc.
  * Really close #235152 and fix the typo in the changelog (Closes: #235152)
  * Switch to dpkg-source 3.0 (quilt) format
  * Adjust the .orig.tgz to contain unpacked versions of the upstream
    distribution tarballs.  This allows dpkg-source to apply the patch
    properly.
  * Remove the dpatch section from Readme.source.

 -- James E. Stark <jstark@ieee.org>  Fri, 09 Apr 2010 00:46:16 -0400

distributed-net (2.9105.511b-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * New upstream 2.9105.511b for ppc (Closes: #235152)
  * New upstream 2.9104.510 for i386
  * Really drop hppa32
  * Adjust debian/watch to allow for letters in version numbers
  * Remove all apm/acpi support is distributed.net is supposed to be
    able to handle this itself. (LP: 385949)
  * Add a README.source

 -- James E. Stark <jstark@ieee.org>  Thu, 24 Dec 2009 14:17:44 -0500

distributed-net (2.9103.509-1) unstable; urgency=low

  * New upstream version for i386, amd64, armel, and ia64 (Closes: #518015)
  * Acknowledge NMU.
  * Drop arm as it is now depricated in Debian.
  * Drop hppa since it requires libstdc++.so.3 which is long gone.
  * Bumped Standards-Version to 3.8.2 no changes
  * Make the logfile to be readable by group adm (LP: 155823)
  * Change the realtime scheduling policy to SCHED_BATCH (LP: 307826)
  * Use invoke-rc.d to call the init script instead of calling it directly

 -- James E. Stark <jstark@ieee.org>  Mon, 22 Jun 2009 14:32:34 -0400

distributed-net (2.9101.507-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove bashism in /etc/ppp/ip-up.d/distributed-net (Closes: #530069)

 -- tony mancill <tmancill@debian.org>  Fri, 12 Jun 2009 21:22:54 -0700

distributed-net (2.9101.507-1) unstable; urgency=low

  * New Upstream Version for i386, amd64, and ia64 (Closes: #506914)
  * added armel at version 2.9016.506
  * removed source for the long since removed m68k package.
  * refresh manual page patch
  * make sure that maintainer scripts exit immediately on errors.

 -- James E. Stark <jstark@ieee.org>  Thu, 27 Nov 2008 23:06:33 -0500

distributed-net (2.9015.504-2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.0
    - Added Homepage field to debian/control
    - Added a disclaimer to the copyright file.
  * Add ACPI Support.  Thanks to Chris Hanson for the patch (Closes: #404997)
  * Added debian/watch
  * Removed fixinit as it was obsolete long ago.
  * Removed Makefile and README.build since they don't serve much purpose and
    lintian doesn't like them.
  * Corrected a few errors, as reported by groff, in the man page

 -- James E. Stark <jstark@ieee.org>  Sun, 13 Jul 2008 23:36:20 -0400

distributed-net (2.9015.504-1) unstable; urgency=low

  * New Upstream Version for i386 and mipsel (Closes: #468108)
  * More refactoring of the init script.
    - Redirect the output of the reload opteration to /dev/null (Closes: #469164)
    - Split apart reload and force-reload.  Reload will now do nothing if it
    does not detect a running client.  This will cause logrotate to reload
    running clients only.  (Closes: #407884)

 -- James E. Stark <jstark@ieee.org>  Tue, 15 Apr 2008 23:57:45 -0400

distributed-net (2.9013.498-3) unstable; urgency=medium

  * Make sure that the log file is created with the proper permissions
    when the package is installed.  Thanks to Chris Hansen for pointing
    out the problem and supplying a patch to solve it.

 -- James E. Stark <jstark@ieee.org>  Tue,  2 Jan 2007 23:21:06 -0500

distributed-net (2.9013.498-2) unstable; urgency=medium

  * Updated logrotate.conf to ensure that the log files are recreated
  with the correct owner and permissions.  Thanks to Matthew Exley for
  the patch. (Closes: #402873)

 -- James E. Stark <jstark@ieee.org>  Tue, 19 Dec 2006 14:21:27 -0500

distributed-net (2.9013.498-1) unstable; urgency=low
  * New Upstream version.
     - Contains a new core for ogr on i386

 -- James E. Stark <jstark@ieee.org>  Fri, 1 Dec 2006 23:02:47 -0500

distributed-net (2.9012.497-4) unstable; urgency=low

  * Refactor the init script.  (Closes: #99954, #398454)
    - Rewrite the restart routine to just call stop then call start
      like most other init scripts.  The stop routine checks for a running
      dnetc, so there's no need to do it twice.
    - seperate reload and force-reload from restart.  The current version
      of dnetc supports reloading its configuration and reopening logs
      etc. without a full restart.
    - change stop to wait a maximum of 30s for dnetc to actually stop
      after the shutdown command has been issued.  If dnetc fails to
      stop on its own then kill it.
    - Change the startup to instructing dnetc to use the log file and
      to fork into the background from using shell redirects.
    - tidy up the file and fix some indention issues.

  * Added /etc/default/distributed-net to allow the local administrator
    to specify extra options to the distributed.net client, and to
    disable the update of the clients buffers every time a ppp link is
    established. (Closes: #155845)

  * Correct the usage of on_ac_power in the apm configuration.  If the
    AC power state can't be determined then do nothing.  (Closes: #212871)

  * Updated the README.Debian file:
    - Reorganised to improve readability.
    - Added an explanation of distributed.net's priority level and how that
      effects process scheduling on a system running distributed.net.
      (Closes: #346168)
    - Documented the /etc/default/distributed-net files setting and how they
      effect the updating of the client's buffers over a ppp connection.
    - Documented the changes to the handling of apm events.

 -- James E. Stark <jstark@ieee.org>  Fri,  1 Dec 2006 21:21:11 -0500

distributed-net (2.9012.497-3) unstable; urgency=medium

  * Added dpatch to build-depends.  Thanks to  Andreas Jochens for the
    patch.  (Closes: #382970)
  * urgency set to medium due to RC bug fix.  No other changes.

 -- James E. Stark <jstark@ieee.org>  Thu, 17 Aug 2006 23:30:43 -0400

distributed-net (2.9012.497-2) unstable; urgency=low

  * Corrected a Typo in the package description.  Thanks to Graham Knap for
    pointing out the error.
  * More house cleaning.  Removed all files that are no longer a part of
    this package
  * Renamed the the distributed.net binary from distributed-net to dnetc
    (Closes: #168238)
  * Adjusted the upstream manpage to refer to the package configuration
    file.  Thanks to Tony Mancill for pointing the inconsistency

 -- James E. Stark <jstark@ieee.org>  Wed, 26 Jul 2006 14:00:25 -0400

distributed-net (2.9012.497-1) unstable; urgency=low

  * New Maintainer.  (Closes: #369166)
  * New Upstream version.  (Closes: #316918)
  * Added AMD64.  (Closes: #341886)
  * Converted the ppp/ip-up script to use debhelper for installation.
    (Closes: #212874)
  * Updated the debhelper compatibility to version 5
  * bumped Standards-Version.

 -- James E. Stark <jstark@ieee.org>  Wed, 21 June 2006 02:46:00 -0500

distributed-net (2.9008.490-3) unstable; urgency=low

  * QA upload
  * correcting to QA maintainer (see O: #363503)

 -- Noèl Köthe <noel@debian.org>  Sat, 20 May 2006 00:14:45 +0200

distributed-net (2.9008.490-2) unstable; urgency=low

  * Adopting this package.  (Closes: #185016)
    I know that Loïc Le Guyader <loic.leguyader@laposte.net> was interested
    in adopting this package.  I have pinged him and offered to sponsor if
    he is still interested roughly two weeks ago and received no reply.  If
    he still wishes to take the package, I'll happily hand it over to him.
  * add a simple Makefile so I can easily build all arches automagically
  * fix small typo in ia64 target of unpack_arch
  * fix fairly major fuckup in arm target which meant almost none of the
    docs got installed
  * I still need to come up with some way to reconcile the different
    upstream version numbers sanely.  At the monet, I just pick a version
    number for the package that looks most common.  This is suboptimal, but
    I'm not sure what to do about it other than having a different source
    package for each architecture.  Answers on a postcard please.

 -- Stephen Stafford <bagpuss@debian.org>  Sun, 25 Jul 2004 19:08:16 +0100

distributed-net (2.9008.490-1) unstable; urgency=low

  * QA Upload
  * updating to latest upstream (Closes: #251760, #250244)
  * add /sbin to $PATH so that stopping the client works in
    non-interactive shells.  As per suggestion from Colin Watson
    I believe this to be the cause of #231481 as well, or at least, now that
    I've added /sbin to path I cannot reproduce it. (Closes: #203305, #231481)
  * On upgrade, you will need to flush your old buffers and get new ones.
    This is due to an upstream decision. It is not a bug.  Sorry if this
    makes anyone lose any work.  There is absolutely nothing that Debian
    can do about it.  For more details, please see the first entry in
    /usr/share/doc/distributed-net/readme.1st (Closes: #177360)
  * remove /etc/distributed-net.conf on purge (Closes: #186795)
  * Remove m68k version completely.  It's too old to support the current
    distributed.net infrastructure and upstream no longer support it as an
    architecture.
  * Remove build dependency on debianutils (which is Essential: Yes)
  * Alter distributed-net-config.8 so the .TH section matches the filename.
  * Update description to reflect that OGR-24 and RC5-64 have been finished

 -- Stephen Stafford <bagpuss@debian.org>  Fri,  9 Jul 2004 14:58:19 +0100

distributed-net (2.9001.478-2) unstable; urgency=low

  * orphaning package see #185016

 -- Noel Koethe <noel@debian.org>  Sun, 29 Jun 2003 13:03:00 +0200

distributed-net (2.9001.478-1) unstable; urgency=low

  * updated some clients to the new version from
    http://www.distributed.net/download/clients.html
    (closes: Bug#172096)
  * have to remove the alpha version because its not
    supported anymore by upstream and the client which
    where included is linked against an old libstdc++
    (closes: Bug#162891)
  * problem with manpage is corrected by upstream
    (closes: Bug#123839)
  * mips is mipsel in real. Fixed the arch.
    (closes: Bug#156866)

 -- Noel Koethe <noel@debian.org>  Fri, 17 Jan 2003 12:03:00 +0100

distributed-net (2.8015.46-10) unstable; urgency=low

  * added ia64 arch
    (closes: Bug#145316)

 -- Noel Koethe <noel@debian.org>  Thu,  9 May 2002 22:10:00 +0200

distributed-net (2.8015.46-9) unstable; urgency=low

  * correct shell scripts to work with POSIXLY_CORRECT=1
    (closes: Bug#142604)

 -- Noel Koethe <noel@debian.org>  Sun, 14 Apr 2002 15:41:00 +0200

distributed-net (2.8015.46-8) unstable; urgency=medium

  * corrected Depends: line in control to libc6 | libc6.1
    (closes: Bug#141853)
  * apm script tests now if there is an init script. If not
    the user deleted it and don't want that distribted-net
    starts if its connected to power
    (closes: Bug#138096)

 -- Noel Koethe <noel@debian.org>  Wed, 10 Apr 2002 20:36:00 +0200

distributed-net (2.8015.46-7) unstable; urgency=low

  * corrected README.Debian
    (closes: Bug#136440)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 12:24:00 +0100

distributed-net (2.8015.46-6) unstable; urgency=low

  * changed copyright file
    (closes: Bug#134576)
  * added suggests: apmd to debian/control because of the
    apm support.

 -- Noel Koethe <noel@debian.org>  Mon, 18 Feb 2002 20:20:00 +0100

distributed-net (2.8015.46-5) unstable; urgency=low

  * added bind9-host to Depends:
    (closes: Bug#132305)
    (closes: Bug#132630)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Feb 2002 16:36:00 +0100

distributed-net (2.8015.46-4) unstable; urgency=low

  * corrected stop in debian/init.d:
    s/su daemon -c "$DAEMON $OPTION -shutdown"/
    su daemon -c "$DAEMON $OPTION -shutdown" 2>&1
    (closes: Bug#129008)
  * corrected shutdown on slow machine
    (closes: Bug#129082)

 -- Noel Koethe <noel@debian.org>  Tue, 15 Jan 2002 17:10:00 +0100

distributed-net (2.8015.46-3) unstable; urgency=low

  * when upgrading to from version before 2.8015.4-2
    the old config file was not moved to the new location
    (closes: Bug#127748)

 -- Noel Koethe <noel@debian.org>  Tue,  8 Jan 2002 11:30:00 +0100

distributed-net (2.8015.46-2) unstable; urgency=low

  * added "sleep 2" after shutdown in init to be sure
    the thread/s will be shutdown. Its needed for restart.
    (closes: Bug#126996)

 -- Noel Koethe <noel@debian.org>  Sun, 30 Dec 2001 15:47:00 +0100

distributed-net (2.8015.46-1) unstable; urgency=low

  * added hppa architecture

 -- Noel Koethe <noel@debian.org>  Wed, 19 Dec 2001 00:52:00 +0100

distributed-net (2.8015.4-3) unstable; urgency=medium

  * removed the /var/lib/distributed-net/distributed-net script
    and added the options for configfile and buffers to init.d
    script. var/lib/ wasn't the right place for such a script
    (Closes: Bug#123928)
  * changed my email address

 -- Noel Koethe <noel@debian.org>  Sun, 16 Dec 2001 17:18:00 +0100

distributed-net (2.8015.4-2) unstable; urgency=medium

  * changed the init file to stop the thread(s) with
    the builtin "-shutdown" command. This fixes the
    problem with the start-stop-daemon on a dual cpu machine
    where only one thread is stopped.
    (Closes: Bug#120746)
    urgency=medium because this fixes a grave bug
  * moved configuration file to /etc/distributed-net.conf and
    bufferfiles in /var/lib/distributed-net
    (Closes: Bug#53990)

 -- Noel Koethe <noel@koethe.net>  Thu, 13 Dec 2001 14:54:00 +0100

distributed-net (2.8015.4-1) unstable; urgency=low

  * New Maintainer (closes: Bug#96717)
  * new versions

 -- Noel Koethe <noel@koethe.net>  Sun, 30 Sep 2001 21:41:01 +0200

distributed-net (2.8012.2-1) unstable; urgency=low

  * Downgraded clients to ones that distributed-net officially blesses in
    light of bugs they've released (Closes: Bug#90796)
    Note that I've requested the version in proposed-updates be removed;
    unfortunately distributed-net users will have to wait until woody is
    released to get the new version in a stable format.
  * Added more lintian overrides

 -- Joe Drew <drew@debian.org>  Sun, 25 Mar 2001 17:59:26 -0500

distributed-net (2.8012.1-4) unstable; urgency=low

  * Downgraded to a Recommends for logrotate. Note that if you don't install
    logrotate, you'll get one huge log file. (Closes: Bug#85926)

 -- Joe Drew <drew@debian.org>  Thu, 15 Mar 2001 16:20:54 -0500

distributed-net (2.8012.1-3) unstable; urgency=low

  * Tweaked rules, unpacking so I can cross-"compile" for all supported archs
    (let's hope the produced .debs function properly!)
  * Added lintian overrides for unstripped m68k bin and statically linked
    object

 -- Joe Drew <drew@debian.org>  Wed, 28 Feb 2001 13:59:09 -0500

distributed-net (2.8012.1-2) unstable; urgency=low

  * Added 'host' to depends so dnetc can always resolve (Closes: Bug#85594)

 -- Joe Drew <drew@debian.org>  Sun, 11 Feb 2001 14:02:10 -0500

distributed-net (2.8012.1-1) unstable; urgency=low

  * Stupid version number because of stupid binary-only package.
  * Added architectures s390 and mips

 -- Joe Drew <drew@debian.org>  Wed,  7 Feb 2001 13:27:37 -0500

distributed-net (2.8012-2) unstable stable; urgency=low

  * Upload to stable (Closes: Bug#72918)
  * Release Manager: This upload fixes a bug which, while not release-critical,
    causes a major annoyance to those hit by it. The fix to the bug does not
    affect those not hurt by it.
    As well, our special allowance under the copyright says that before a
    release, we should ensure that the client is updated. Unfortunately, due
    to bugs in the client before freeze, it wasn't able to be included. This
    fixes this problem.
    It also allows users of stable to participate in the newest distributed-net
    contests.

 -- Joe Drew <drew@debian.org>  Tue,  6 Feb 2001 14:01:44 -0500

distributed-net (2.8012-1) unstable; urgency=low

  * The certified First Truly Bugfree (tm) packaging of distributed-net.
  * Updated clients which were available to be updated.
  * Fix for init.d file: move 'ensure stop' loop to stop, so distributed-net
    has stopped for sure when we call 'stop' and it returns.
  * Add 'ensure stop' loop to preinst as well, so when the client is
    installed on computers without the updated init script, there isn't
    a conflict, and the client really stops, and then starts properly on
    install. Yay!

 -- Joe Drew <hoserhead@woot.net>  Wed, 24 Jan 2001 19:28:20 -0500

distributed-net (2.8010-4) unstable; urgency=low

  * Fix ip-up entry (Closes: Bug#81467)
  * Update README.debian
  * Update standards version, include Build-Depends

 -- Joe Drew <hoserhead@woot.net>  Tue,  9 Jan 2001 21:54:36 -0500

distributed-net (2.8010-3) unstable; urgency=low

  * Fix thinko in initfile - caused problems with cron.d! You will want to
    kill the process which is most likely, even now, trying to kill
    the client (called from cron)
  * Add proper cron.weekly stub
  * Add extra methods in initfile to ease fetching/updating/etc of blocks.
    Closes: Bug#78010

 -- Joe Drew <hoserhead@woot.net>  Mon, 27 Nov 2000 16:12:15 -0500

distributed-net (2.8010-2) unstable; urgency=low

  * Update description (Closes: Bug#77507)
  * Use logrotate (Closes: Bug#53991)
  * Add /etc/ppp/ip-up.d entry (Closes: Bug#19133)
  * Add /etc/apm/event.d entry (Closes: Bug#72416)
  * Because of the craziness of this package, I can't use dpkg-shlibdeps
    on all architectures (they vary between static and dynamically linked).
    Therefore, I'm just going to try using libc6 (non-versioned) and logrotate
    (which we need) as dependencies. Please file bug reports if this is a
    problem.

 -- Joe Drew <hoserhead@woot.net>  Thu, 23 Nov 2000 16:40:21 -0500

distributed-net (2.8010-1) unstable; urgency=low

  * Update all clients to latest available; some archs are not as updated
    as others.
  * Psst: Joey, my first name is spelled the same way yours is :)
  * Closes: #67680

 -- Joe Drew <hoserhead@woot.net>  Wed, 23 Aug 2000 15:34:36 -0400

distributed-net (2.8007-1.1) unstable; urgency=low

  * I wanted to get my name in the changelog one last time ;-), so I'm
    sponsoring this package in for Jow Drew. No changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2000 20:54:10 -0700

distributed-net (2.8007-1) unstable; urgency=low

  * New clients, these work this time.
  * Previous version was not released due to brokenness of client.

 -- Joe Drew <hoserhead@woot.net>  Fri, 10 Mar 2000 00:15:41 -0500

distributed-net (2.8003-1) unstable; urgency=low

  * Oops. That's fixed /preinst/, not postinst. And this time, really fixed
    it - it was impossible to install distributed-net if you didn't already
    have it!
  * Upgraded clients that were available to be upgraded.

 -- Joe Drew <hoserhead@woot.net>  Mon,  3 Jan 2000 20:45:13 -0500

distributed-net (2.7106-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * No changes, just sponsored by yours truly.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 22 Dec 1999 00:53:06 -0600

distributed-net (2.7106-5) unstable; urgency=low

  * Fixed postinst. Closes: #53176

 -- Joe Drew <hoserhead@woot.net>  Mon, 20 Dec 1999 19:04:09 -0500

distributed-net (2.7106-4) unstable; urgency=low

  * New maintainer
  * Stopped using pidfiles, as the su to daemon rendered them unusable
    for starting and stopping distributed-net. Closes: #34989
  * Changed default kill sequence. Also added script 'fixinit'
    (in /usr/doc/distributed-net/examples) which will do this for
    you if you have an already broken setup. Closes: #30925
  * Ensured that .orig.tar.gz is generated. Closes: #44342
  * Re-added m68k client, even though it's ancient.  Maybe some packets
    will encourage an update!  (Chris Lawrence, uploader.)

 -- Joe Drew <hoserhead@woot.net>  Sun, 19 Sep 1999 18:41:41 -0400

distributed-net (2.7106-3) unstable; urgency=low

  * New maintainer

 -- Adam Klein <aklein@debian.org>  Tue, 23 Mar 1999 10:12:37 -0800

distributed-net (2.7106-2) unstable; urgency=low

  * Orphaned the package, I'm not maintaining non-free things anymore.
    I thought someone had offered to take this, but I can find no record of
    it. If you did, please do an upload with your name on it.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 14:54:27 -0800

distributed-net (2.7106-1) unstable; urgency=low

  * Updated:
    - i386 to 2.7105.434
    - sparc to 2.7106.435
  * Updated package description to note DES-III was cracked.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Feb 1999 17:22:15 -0800

distributed-net (2.7105-2) unstable; urgency=low

  * Spelling fix.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  4 Feb 1999 16:26:20 -0800

distributed-net (2.7105-1) unstable; urgency=low

  * Updated:
    - i386 to 2.7105.430
    - powerpc to 2.7104.428
    - sparc to 2.7103.426

 -- Joey Hess <joeyh@master.debian.org>  Fri, 15 Jan 1999 13:41:18 -0800

distributed-net (2.7103-3) unstable; urgency=low

  * Chown checkpoint files too (well chown everything, really).
  * Don't fail to build if dh_shlibdepds fails, seems we have a bug in ldd
    now that it fails on a static binary.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 15 Jan 1999 13:06:39 -0800

distributed-net (2.7103-2) unstable; urgency=low

  * Now runs as user daemon, instead of user nobody. (#26374, #31643)

 -- Joey Hess <joeyh@master.debian.org>  Mon, 11 Jan 1999 17:05:41 -0800

distributed-net (2.7103-1) unstable; urgency=low

  * New upstream release for DES III for ppc, sparc, x86 only so far.
    - Other clients remain unupdated.
  * DES-III will begin soon - modified package description accordingly.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  2 Jan 1999 07:42:43 -0800

distributed-net (2.7100.417-3) unstable; urgency=low

  * Minor postinst typo fix.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 18 Dec 1998 17:26:18 -0500

distributed-net (2.7100.417-2) unstable; urgency=low

  * Added distributed-net-config, to configure after the install. (#28310)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 21 Oct 1998 12:23:15 -0700

distributed-net (2.7100.417-1) unstable; urgency=low

  * Added arm architecture.
  * Summarizing versions, we have:
      - i386, powerpc: .416
      - sparc: .412
      - alpha: .414
      - m68k: temporarily gone
      - arm: .417

 -- Joey Hess <joeyh@master.debian.org>  Tue, 22 Sep 1998 23:13:03 -0700

distributed-net (2.7100.416-4) unstable; urgency=low

  * DES-2-II is over (distributed-net didn't win), so remove notes about
    that contest from package description file.
  * Updated the copyright file.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 20 Jul 1998 23:48:05 -0700

distributed-net (2.7100.416-3) unstable; urgency=low

  * Rebuilt with fakeroot to fix libtricks breakage.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 16 Jul 1998 10:59:47 -0700

distributed-net (2.7100.416-2) unstable; urgency=low

  * Added powerpc back in, version .416. To summarise versions, we now have:
    - i386, powerpc: .416
    - sparc: .412
    - alpha: .414
    - m68k: temporarily gone

 -- Joey Hess <joeyh@master.debian.org>  Wed, 15 Jul 1998 12:58:24 -0700

distributed-net (2.7100.416-1) unstable; urgency=low

  * new version (i386 only) - now with MMX cores.
  * fixed source so it's not debian-only. oops.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 13 Jul 1998 13:32:57 -0700

distributed-net (2.7100.414-1) unstable; urgency=low

  * Upgraded alpha to .414, and i386 to 413a.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 10 Jul 1998 14:48:02 -0700

distributed-net (2.7100.412-1) unstable; urgency=low

  * Updated all clients to version 2.7100.412.
    - these clients will switch over to the DES-II-2 contest on July 13th.
    - I've temporarily removed the powerpc and m68k clients, until new ones
      for this version are available.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 28 Jun 1998 12:33:11 -0700

distributed-net (2.7020.403-1) unstable; urgency=low

  * New upstream release for all arch's except powerpc.
  * m68k and sparc clients now available! (untested)

 -- Joey Hess <joeyh@master.debian.org>  Sun, 21 Jun 1998 20:34:47 -0700

distributed-net (2.7018.401-3) unstable; urgency=low

  * Mak user nobody own the .ini file so -config can write to it. (#23607)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 17 Jun 1998 18:17:28 -0700

distributed-net (2.7018.401-2) unstable; urgency=low

  * Modified postinst so on new installs, it makes the client default to the
    rc5 contest, instead of the old des contest.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Jun 1998 23:48:57 -0400

distributed-net (2.7018.401-1) frozen unstable; urgency=low

  * New upstream bugfix releases of the i386 and powerpc binaries, with the
    following changes:
    - New x86 CPP cores which fix the core dump problem
    - Fixed block size reported for 2^31 DES blocks
    - Fixed key speed calculation for 2^31 size DES blocks
    - Fixed treatment of "empty" checkpoint filenames.
    - Fixed bug where mail might be sent, even in offline mode.
    - Fixed shared buffer open problem
    - Changed default exitfilecheck time to 30 seconds
    - Fixed problem with "-2" sized buffers
    - Added 'contestdone' flags to ini to smooth contest transitions
    - Memory buffers are now allocated only as they're needed.
    - Fixed buffer flushing problem
  * And the following changes are ppc only so far:
    - Fixed dates in mail messages
    - Benchmark / test now do both contests

 -- Joey Hess <joeyh@master.debian.org>  Wed, 29 Apr 1998 13:15:12 -0700

distributed-net (2.7017-2) unstable; urgency=low

  * Fixed package description typos (#18896).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:19:59 -0800

distributed-net (2.7017-1) unstable; urgency=low

  * DES II has been beat! Changed some text in the package to note that
    we're back to cracking rc5 again.
  * New x86 client, should fix seg fault problem.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 28 Feb 1998 17:06:36 -0800

distributed-net (2.7012-3) unstable; urgency=low

  * Wrote a man page for distributed-net.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 16:28:54 -0800

distributed-net (2.7012-2) unstable; urgency=low

  * Added force-reload to init script.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  8 Feb 1998 12:58:14 -0800

distributed-net (2.7012-1) unstable; urgency=low

  * Made regexp of which log files to delete on purge stricter, in
    anticipation of a new distributed-net-pproxy package wich will use
    similar log file names.
  * New upstream version.
  * Added alpha client.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  6 Feb 1998 17:34:14 -0800

distributed-net (2.7008-1) unstable; urgency=low

  * New upstream version.
  * Powerpc client is same version now.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 30 Jan 1998 21:29:27 -0800

distributed-net (2.7006-1) unstable; urgency=low

  * New upstream version - includes powerpc version. (note that powerpc
    version is really 2.7005, but what can I do, I need to release it..)
  * Added a note to vote for SPI on the non-profit voting system.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 27 Jan 1998 23:29:01 -0500

distributed-net (2.7001-1) unstable; urgency=low

  * New upstream version of the client (i386 only so far), that will work
    on cracking DES II between Jan 12th and mid-march, then will go back
    to working on rc5-64. (You can also force it to contine working on rc564
    if you don't care about DES II.)
  * Modified the control file to reflect the new goals of the client.
  * Renamed the package, the new idea of this package is to work on whatever
    distributed.net is working on, be it rc564, or DES, or whatever comes
    next.
  * Fixed call to start-stop-daemon so this continues to work on bo machines
    that have start-stop-daemon in /usr/sbin/.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 13 Jan 1998 14:25:11 -0500

rc564 (2.6403-3) unstable; urgency=low

  * Fixed init script (#16730).

 -- Joey Hess <joeyh@master.debian.org>  Wed,  7 Jan 1998 11:59:16 -0500

rc564 (2.6403-2) unstable; urgency=low

  * Fixed the copyright file. (Always run dh_installdocs).
  * Fixed initial install problem.
  * Fixed ppc build problem.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 27 Dec 1997 16:07:10 -0500

rc564 (2.6403-1) unstable; urgency=low

  * New upstream release (i386 and powerpc only so far).
  * Since this is a program with no source, which cannot be checked for
    security holes, backdoors, etc, run it as user nobody. (#15809)
  * The clients now assume that the buffers should be saved to whatever
    directory the ini file is in, if the -ini parameter is specified. To
    work around this bug, and because a daemon running as nobody cannot
    write an ini file to /etc anyway, moved the ini file to /var/lib/rc564.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 14 Dec 1997 00:29:24 -0500

rc564 (2.6401-4) unstable; urgency=low

  * Using dpkg-cross now to cross "compile" instead of my own hacked
    together environment.
  * Actually get the dependancies right for the achitectures that have
    dynamic linked binaries.
  * Dropped the sparc binary, because there is no libg++27 for sparc, and
    the sparc binary is linked to that.
  * Dropped the powerpc binary for now, I can't find a libc powerpc package!

 -- Joey Hess <joeyh@master.debian.org>  Sun,  7 Dec 1997 16:41:58 -0500

rc564 (2.6401-3) unstable; urgency=low

  * Added sparc client.
  * Hacked together a fake crosscompiling environment and actually built
    debian binaries for all available architectures.
  * Install updstream changelog, for those architectures that actually have
    one.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  5 Dec 1997 20:44:27 -0500

rc564 (2.6401-2) unstable; urgency=medium

  * Fixed problem that the client uses `basename $0`.ini as it's ini file.
    This meant that when /etc/init.d/rc564 started it, a /usr/bin/rc564.ini
    was created. Whoops!

 -- Joey Hess <joeyh@master.debian.org>  Fri,  5 Dec 1997 20:07:05 -0500

rc564 (2.6401-1) unstable; urgency=low

  * First release.
  * Note: only i386 client is tested.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 13 Nov 1997 21:28:00 -0500
